commit: fff349e678c15b459f53e10c30a1da89752fb95b
Author: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 14 21:26:49 2020 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Dec 14 21:28:53 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fff349e6
app-crypt/acme-sh: bump to version 2.8.8
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
app-crypt/acme-sh/Manifest | 1 +
app-crypt/acme-sh/acme-sh-2.8.8.ebuild | 47 ++++++++++++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/app-crypt/acme-sh/Manifest b/app-crypt/acme-sh/Manifest
index 31f690766ec..e288c5aaf44 100644
--- a/app-crypt/acme-sh/Manifest
+++ b/app-crypt/acme-sh/Manifest
@@ -1 +1,2 @@
DIST acme.sh-2.8.7.tar.gz 206475 BLAKE2B
ac1d51efac6301210ffd8b6e5ff6ed490cbf80e7dd154ec7a2ad0b6a2dd08ac73a325e332192214c964a873ba7c6f01a43a2157963d7edec9e0ec45b47e5b689
SHA512
45599f50a4a45b6fdea58d7a5759e4eb5f8e33acc53d60b264c15662e6bdc1e353af610845056fc67b127242c4ad15eaaf60a2113f2cb0245d4e4861dac6e1c3
+DIST acme.sh-2.8.8.tar.gz 218582 BLAKE2B
bcd2fbc0ff984d7bbcf4e0ee4c1f08f868ebc4b31a5d217587cdeb5810b8991698de52dd082219194c762ef245324e981eb2a044b213e2713c0d12370be1c19b
SHA512
cf601965cd5542dbd11668330d0a4e428e89ccc3af92d4d04ea3936c8a31979a5c00aa8e18a31fde07812242dddcebbfdbc06f1c29260b917dfa19f88d12fd72
diff --git a/app-crypt/acme-sh/acme-sh-2.8.8.ebuild
b/app-crypt/acme-sh/acme-sh-2.8.8.ebuild
new file mode 100644
index 00000000000..af53d7dec34
--- /dev/null
+++ b/app-crypt/acme-sh/acme-sh-2.8.8.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN/-/.}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="An ACME Shell script"
+HOMEPAGE="https://github.com/Neilpang/acme.sh"
+SRC_URI="https://github.com/Neilpang/${MY_PN}/archive/${PV}.tar.gz ->
${MY_P}.tar.gz"
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ net-misc/curl
+ || ( dev-libs/libressl dev-libs/openssl:0 )
+ || ( net-analyzer/netcat net-analyzer/openbsd-netcat )
+ || ( net-misc/socat www-servers/apache:2 www-servers/nginx )
+ virtual/cron
+"
+
+src_install() {
+ einstalldocs
+ newdoc dnsapi/README.md README-dnsapi.md
+ newdoc deploy/README.md README-deploy.md
+
+ keepdir /etc/acme-sh
+ doenvd "${FILESDIR}"/99acme-sh
+ insinto /etc/bash/bashrc.d
+ doins "${FILESDIR}"/acme.sh
+
+ exeinto /usr/share/acme.sh
+ doexe acme.sh
+ insinto /usr/share/acme.sh/dnsapi
+ doins -r dnsapi/*.sh
+ insinto /usr/share/acme.sh/deploy
+ doins -r deploy/*.sh
+ insinto /usr/share/acme.sh/notify
+ doins -r notify/*.sh
+
+ dosym ../share/acme.sh/acme.sh usr/bin/acme.sh
+}